Class | Tk::TclX::XPG3_MsgCat
In: | tk/lib/tkextlib/tclx/tclx.rb
Parent: | Object

### Methods

close get new

### External Aliases

new | -> | open

### Public Class methods

new(catname, fail_mode=false)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 52
          def initialize(catname, fail_mode=false)
            if fail_mode
              @msgcat_id = Tk.tk_call('catopen', '-fail', catname)
            else
              @msgcat_id = Tk.tk_call('catopen', '-nofail', catname)
            end
          end

### Public Instance methods

close(fail_mode=false)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 60
          def close(fail_mode=false)
            if fail_mode
              Tk.tk_call('catclose', '-fail', @msgcat_id)
            else
              Tk.tk_call('catclose', '-nofail', @msgcat_id)
            end
            self
          end

get(setnum, msgnum, defaultstr)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 69
          def get(setnum, msgnum, defaultstr)
            Tk.tk_call('catgets', @msgcat_id, setnum, msgnum, defaultstr)
          end

[Validate]